/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.HistoricoFormaPagoPuntoVentaDAO;
import com.rjconsultores.ventaboletos.entidad.HistoricoFormaPagoPuntoVenta;
import com.rjconsultores.ventaboletos.entidad.PuntoVenta;
import com.rjconsultores.ventaboletos.service.HistoricoFormaPagoPuntoVentaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

/**
 *
 * @author Wallace
 */
@Service("historicoFormaPagoPuntoVentaService")
public class HistoricoFormaPagoPuntoVentaServiceImpl implements HistoricoFormaPagoPuntoVentaService {

	@Autowired
	private HistoricoFormaPagoPuntoVentaDAO historicoFormaPagoPuntoVentaDAO;

	public List<HistoricoFormaPagoPuntoVenta> obtenerTodos() {
		return historicoFormaPagoPuntoVentaDAO.obtenerTodos();
	}

	public HistoricoFormaPagoPuntoVenta obtenerID(Integer id) {
		return historicoFormaPagoPuntoVentaDAO.obtenerID(id);
	}

	@Transactional
	public HistoricoFormaPagoPuntoVenta suscribir(HistoricoFormaPagoPuntoVenta entidad) {

		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);
		entidad.setIndInclusao(Boolean.TRUE);
		entidad.setFecAlteracao(Calendar.getInstance().getTime());

		return historicoFormaPagoPuntoVentaDAO.suscribir(entidad);
	}

	@Transactional
	public HistoricoFormaPagoPuntoVenta actualizacion(HistoricoFormaPagoPuntoVenta entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return historicoFormaPagoPuntoVentaDAO.actualizacion(entidad);
	}

	@Transactional
	public void borrar(HistoricoFormaPagoPuntoVenta entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.FALSE);
		entidad.setIndInclusao(Boolean.FALSE);
		entidad.setFecAlteracao(Calendar.getInstance().getTime());

		historicoFormaPagoPuntoVentaDAO.actualizacion(entidad);
	}

	@Override
	public List<HistoricoFormaPagoPuntoVenta> obtenerTodosPorPuntoVenta(PuntoVenta puntoVenta) {
		return historicoFormaPagoPuntoVentaDAO.obtenerTodosPorPuntoVenta(puntoVenta);
	}

}
